Gda.Config – Gda-6.0 Reference Manual

# Config

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_config_get_type ()" ) ]
public class Config : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string system_filename { owned get; set; }
- public string user_filename { owned get; set; }

### Static methods:

- public static Config @get ()
- public static bool can_modify_system_config ()
- public static bool define_dsn (DsnInfo info) throws Error
- public static bool dsn_needs_authentication (string dsn_name)
- public static Quark error_quark ()
- public static unowned DsnInfo get_dsn_info (string dsn_name)
- public static unowned DsnInfo get_dsn_info_at_index (int index)
- public static int get_dsn_info_index (string dsn_name)
- public static int get_nb_dsn ()
- public static unowned ServerProvider get_provider (string provider_name) throws Error
- public static unowned ProviderInfo get_provider_info (string provider_name)
- public static DataModel list_dsn ()
- public static DataModel list_providers ()
- public static bool remove_dsn (string dsn_name) throws Error

### Creation methods:

- protected Config ()

### Signals:

- public virtual signal void dsn_added (void* new_dsn)
- public virtual signal void dsn_changed (void* dsn)
- public virtual signal void dsn_removed (void* old_dsn)
- public virtual signal void dsn_to_be_removed (void* old_dsn)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref